import { AfterViewInit, Component, OnInit } from '@angular/core';
//@ts-ignore
import * as  $  from 'jquery' ; 
//@ts-ignore
import {initViewComponent,skyid_fa_setup_sdkMethod , skyid_fa_auth_request_smart_ocr , skyid_fa_stop_webcam , startskyid_fa_start_face_scan , skyid_fa_auth_request_smart_ocr_recover} from '../assets/skyid_impl_v1.js'; //Location of 'skyid_impl_v1.js' file

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit , AfterViewInit {
  constructor(){
    
  }
  ngAfterViewInit(): void {


    $(document).ready(function () {
      $('#smart_ocr_get_info').on('click' , function(){
        skyid_fa_auth_request_smart_ocr()
      })
      const imageInput = $("#ocrimagge");
      const uploadedImageocr = $("#uploadedImageocr");
      const imageContainer = $("#imageContainer");

      imageInput.on("change", function(this :any) {
        const file = this.files[0]; // Get the selected file
    
        if (file) {
          const imageURL = URL.createObjectURL(file);
          uploadedImageocr.attr("src", imageURL);
          imageContainer.css("display", "block"); // Make the container visible
        }
      });
      

    
    })



    function reloadall() {
      const fileInput = $("#ocrimagge");
      fileInput.val(null);
  
      const resultextractdata = $('#resultextractdata');
      $('#uploadedImageocr').attr('src', 'assets/CINcrt.jpg');
      resultextractdata.html('<pre> Download your national card (CIN - recto )  </pre>');
  
      const resultextfacemtchlvnssdata = $('#responseOneDisplayrealtimefacedetct');
      resultextfacemtchlvnssdata.html('<pre></pre>');
  
      const resultexfacemtchdata = $('#responseOneDisplayrealtimefacedetcttow');
      resultexfacemtchdata.html('<pre></pre');
  
      const step2 = 2;
      const buttonstep2 = $(`button[step_number="${step2}"]`);
      buttonstep2.prop('disabled', true);
      buttonstep2.css('background', 'darkgray');
  
      const step3 = 3;
      const buttonstep3 = $(`button[step_number="${step3}"]`);
      buttonstep3.prop('disabled', true);
      buttonstep3.css('background', 'darkgray');
  }
  
  const navigateToFormStep = (stepNumber: any 
    ) => {
      if (stepNumber == 1) {
          reloadall();
      }
      if (stepNumber == 2) {
        skyid_fa_setup_sdkMethod() ; 
    } else {
        skyid_fa_stop_webcam() ;
    }
      $(".form-step").addClass("d-none");
      $(".form-stepper-list").addClass("form-stepper-unfinished").removeClass("form-stepper-active form-stepper-completed");
      $("#step-" + stepNumber).removeClass("d-none");
      $(`li[step="${stepNumber}"]`).removeClass("form-stepper-unfinished form-stepper-completed").addClass("form-stepper-active");
  
      for (let index = 0; index < stepNumber; index++) {
          const formStepCircle = $(`li[step="${index}"]`);
          if (formStepCircle.length) {
              formStepCircle.removeClass("form-stepper-unfinished form-stepper-active").addClass("form-stepper-completed");
          }
      }
  };
  $(".btn-navigate-form-step").on("click", function(this: any) {
      const stepNumber = parseInt($(this).attr("step_number"));
      navigateToFormStep(stepNumber);
  });
  $("#skyid_fa_start_button").on("click", function(this: any) {
    startskyid_fa_start_face_scan()
  });


  
  }
  ngOnInit(): void {
    initViewComponent()
  }
}